---
title: 'Feature-Policy: publickey-credentials-get'
slug: Web/HTTP/Headers/Feature-Policy/publickey-credentials-get
---
<div>{{HTTPSidebar}} {{SeeCompatTable}}</div>

<p><span class="seoSummary">The HTTP {{HTTPHeader("Feature-Policy")}} header <code>publickey-credentials-get</code> directive controls whether the current document is allowed to access <a href="/en-US/docs/Web/API/Web_Authentication_API">Web Authentcation API</a> to create new public-key credentials, i.e, via {{DOMxRef("CredentialsContainer.get", "navigator.credentials.get({publicKey: ..., ...})")}}.</span></p>

<p>When this policy is enabled, any attempt to query public key credentials will result in an error.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">Feature-Policy: publickey-credentials-get &lt;allowlist&gt;;</pre>

<dl>
 <dt>&lt;allowlist&gt;</dt>
 <dd>{{page("Web/HTTP/Feature_Policy/Using_Feature_Policy","allowlist")}}</dd>
</dl>

<h2 id="Default_policy">Default policy</h2>

<p>The default allowlist is <code>'self'</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Feature Policy")}}</td>
   <td>{{Spec2("Feature Policy")}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td><a href="https://w3c.github.io/webauthn/#sctn-permissions-policy">Web Authentication Level 2</a></td>
   <td>Editor's draft.</td>
   <td>Definition of <code>publickey-credentials-get</code> directive, default allowlist.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("http.headers.Feature-Policy.publickey-credentials-get")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("Feature-Policy")}} header</li>
 <li><a href="/en-US/docs/Web/HTTP/Feature_Policy">Feature Policy</a></li>
 <li><a href="/en-US/docs/Web/HTTP/Feature_Policy/Using_Feature_Policy">Using Feature Policy</a></li>
 <li><a href="/en-US/docs/Web/API/Web_Authentication_API">Web Authentication API</a></li>
 <li>{{DOMxRef("PublicKeyCredential")}} interface</li>
</ul>
